User Tools

Site Tools


download-int

Download




Because of the rapid development we will not release 'stable' versions.
Wegens de snelle ontwikkelingen worden er geen 'stabiele' versies gemaakt.
Wegen der schnellen Entwicklung werden keine 'stabilen' Versionen veröffentlicht.
Compte tenu du développement rapide, nous ne proposons pas de version "stable".

ZIP Installers

The ZIP installers have replaced the common Operating System dependent installers, like RPM/DEB/EXE.
Use the ZIP installer for your OS, and report any problem in the Rocrail Forum.
ZIP installers can be unzipped in user space, and do not need any administrator privilege.
Read Rocrail ZIP for more information and Change to ZIP-installation (Windows) for changing from "classic-" to ZIP-installation.

De ZIP-installatieprogramma's hebben de algemene besturingssysteemafhankelijke installatieprogramma's vervangen, zoals RPM/DEB/EXE.
Gebruik de ZIP-installateur voor het betreffende besturingssysteem en meld eventuele problemen in het Rocrail Forum.
ZIP-installateurs kunnen worden uitgepakt in de gebruikersruimte en hebben geen beheerdersrechten nodig.
Lees Rocrail ZIP voor meer informatie en Verander naar ZIP-installatie (Windows) voor de wijziging van "klassieke-" naar ZIP-installatie.

Die ZIP-Installer haben die gängigen betriebssystemabhängigen Installer wie RPM/DEB/EXE ersetzt.
Nutze das ZIP-Installationsprogramm für das jeweilige Betriebssystem und jedes Problem im Rocrail Forum melden.
ZIP-Installer können im Benutzerbereich entpackt werden und benötigen keine Administratorrechte.
Siehe Rocrail ZIP für weitere Informationen und Umstieg auf ZIP-Installer unter Windows für den Wechsel von "klassischer" zur ZIP-Installation.

Les programmes d'installation ZIP ont remplacé les programmes d'installation dépendants du système d'exploitation courants, tels que RPM/DEB/EXE.
Utilisez le programme d'installation ZIP pour votre système d'exploitation et signalez tout problème sur le forum Rocrail.
Les installateurs ZIP peuvent être décompressés dans l'espace utilisateur, et n'ont pas besoin de privilèges administrateur.
Lire Rocrail ZIP pour plus d'information et Passer à l'installateur ZIP sous Windows pour passer d'une installation "classique" à une installation ZIP. \\.

Snapshots

The latest Snapshot.
De laatste Snapshot.
Der neuste Snapshot.
L'ultimo Snapshot:
Le dernier Snapshot.


macOS

CPU Rocrail package Compatible Versions
Intel catalina-i5 Catalina, Big Sur
Apple M1 monterey-M1 Big Sur, Monterey

:!: Intel Rocrail builds running in Rosetta 2 under Apple(M1) CPU are NOT supported! → Install the M1 Rocrail build.

:!: Intel Rocrail builds die draaien in Rosetta 2 onder Apple(M1) CPU worden NIET ondersteund! → Installeer de M1 Rocrail build.

:!: Intel Rocrail-Builds, die in Rosetta 2 unter Apple(M1)-CPU laufen, werden NICHT unterstützt! → Den M1-Rocrail-Build installieren.

:!: Les versions Intel de Rocrail exécutées dans Rosetta 2 sous le processeur Apple (M1) NE SONT PAS prises en charge! → Installez la version M1 Rocrail.


Linux

Official supported are Debian and Ubuntu.

:!: The below commands for PiOS will work with any supported version of Linux if you replace the lines "wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip" and "unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail" the filename "Rocrail-PiOS11-ARMHF.zip" with the one valid for the respective OS.

:!: Untenstehende Befehle für PiOS funktionieren mit jeder unterstützten Version von Linux, wenn man in den Zeilen "wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip" und "unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail" den Dateinamen "Rocrail-PiOS11-ARMHF.zip" durch den für das jeweilige OS gültigen ersetzt.

:!: Les commandes ci-dessous pour PiOS fonctionneront avec avec n'importe quelle version supportée de Linux si vous remplacez les lignes "wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip" et "unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail" the filename "Rocrail-PiOS11-ARMHF.zip" par celles valables pour le système d'exploitation respectif.

:!: De onderstaande opdrachten voor PiOS werken met elke ondersteunde versie van Linux als je de regels vervangt "wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip" and "unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail" de bestandsnaam "Rocrail-PiOS11-ARMHF.zip" met degene die geldig is voor het respectievelijke besturingssysteem.

Demo plans

Wiki plan, "Step by step" Demo plan


Both demo plans can be selected in Rocview.

Beide demo-plannen kunnen worden geselecteerd in Rocview.

Beide Demo-Pläne können in Rocview ausgewählt werden.

Les deux plans de démonstration peuvent être sélectionnés dans Rocview.


Raspberry Pi

PiOS Bullseye (11)

Use the graphical installation if you are a novice user.

To install Rocrail on the command line, open a (ssh) terminal, and use the following commands:

Update Operating System

sudo apt update
sudo apt upgrade

Download Rocrail and install

Raspberry Pi:

wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip -u Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail
cd ~/Rocrail
./desktoplink.sh

If wxWidgets was not yet installed:

cd ~/Rocrail
sudo ./installwx.sh

Optional: A script to only update the content of the /bin directory:

#!/bin/sh
 
mkdir ~/Downloads/Rocrail
cd ~/Downloads/Rocrail
wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip -u Rocrail-PiOS11-ARMHF.zip
cp -v ./bin/*  ~/Rocrail/bin
rm -rv ~/Downloads/Rocrail

Start Rocrail at Raspberry boot



Om Rocrail te installeren, open een (ssh) terminal en voer de volgende commando's uit:

Update het Operating System piOS

sudo apt update
sudo apt upgrade

Download Rocrail en installeer

Raspberry Pi:

wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail
cd ~/Rocrail
./desktoplink.sh

Als wxWidgets nog niet geïnstalleerd is:

cd ~/Rocrail
sudo ./installwx.sh

Optioneel: Een script om alleen de inhoud van /bin te updaten:

#!/bin/sh
 
mkdir ~/Downloads/Rocrail
cd ~/Downloads/Rocrail
wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip Rocrail-PiOS11-ARMHF.zip
cp -v ./bin/*  ~/Rocrail/bin
rm -rv ~/Downloads/Rocrail

Rocrail starten als de Raspberry opgestart

Terminal-Installation

Um Rocrail von der Befehlszeile zu installieren, ein (ssh)-Terminal öffnen und die folgenden Befehle verwenden:

Betriebsystem updaten

sudo apt update
sudo apt upgrade

Rocrail und Installation herunterladen

Raspberry Pi:

wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail
cd ~/Rocrail
./desktoplink.sh

Wenn wxWidgets noch nicht installiert ist:

cd ~/Rocrail
sudo ./installwx.sh

Optional: Ein Skript, mit dem nur der Inhalt des Verzeichnisses /bin aktualisiert wird:

#!/bin/sh
 
mkdir ~/Downloads/Rocrail
cd ~/Downloads/Rocrail
wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip Rocrail-PiOS11-ARMHF.zip
cp -v ./bin/*  ~/Rocrail/bin
rm -rv ~/Downloads/Rocrail

Start Rocrail bei Raspberry boot



Utiliser l'installation graphique si vous êtes un utilsateur novice.

Pour installer Rocrail en ligne de commande, ouvrir un terminal (ssh), et utiliser les commandes suivantes:

Mise à jour du système d'exploitation

sudo apt update
sudo apt upgrade

Télécharger Rocrail et installation

Raspberry Pi:

wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip -u Rocrail-PiOS11-ARMHF.zip -d ~/Rocrail
cd ~/Rocrail
./desktoplink.sh

Si wxWidgets n'est pas encore installé:

cd ~/Rocrail
sudo ./installwx.sh

Optionel: Un script pour mettre à jour uniquement le contenu du répertoire /bin:

#!/bin/sh
 
mkdir ~/Downloads/Rocrail
cd ~/Downloads/Rocrail
wget https://wiki.rocrail.net/rocrail-snapshot/Rocrail-PiOS11-ARMHF.zip
unzip Rocrail-PiOS11-ARMHF.zip
cp -v ./bin/*  ~/Rocrail/bin
rm -rv ~/Downloads/Rocrail


Démarrer Rocrail quand la Raspberry démarre

FAQ

Linux


Q: Rocview does not startup.
A: Install the wxWidgets library. (libwxgtk3.0, libwxgtk-webview3.0)


Frage: Rocview startet nicht.
Antwort: Die wxWidgets-Bibliothek installieren. (libwxgtk3.0, libwxgtk-webview3.0)


Question: Rocrail ne démarre pas.
Réponse: Installer la bibliothèque wxWidgets. (libwxgtk3.0, libwxgtk-webview3.0)

download-int.txt · Last modified: 2022/02/20 09:59 by phil45